Ticket #353 (closed defect: wontfix)

Opened 10 years ago

Last modified 10 years ago

unable to install any package

Reported by: dkirov Owned by: ciaranm
Priority: Sometime Milestone:
Component: clients/paludis Version: 0.24.5
Keywords: Cc:
Blocked By: Blocking:
Distribution:

Description

I'm having the same problem as described here:  http://forums.gentoo.org/viewtopic-p-4205911.html#4205911

Generally, whatever I try to install, paludis always fails with:

.....
>>> Starting builtin_loadenv
paludis@1188380165: [DEBUG] Starting hook 'install_fail'

Install error:
  * In program paludis -i sys-apps/portage --log-level debug:
  * When performing install action from command line:
  * When executing install task:
  * When installing 'sys-apps/portage-2.1.3.7':
  * Install error: Install failed for 'sys-apps/portage-2.1.3.7::gentoo'

no hint about where to look at or what to change

Change History

comment:1 Changed 10 years ago by zlin

Which version of app-shells/bash do you have installed?

comment:2 follow-up: ↓ 3 Changed 10 years ago by dkirov

$ eix bash
.....
[D] app-shells/bash
     Available versions:  2.05b-r11 3.0-r12 ~3.0-r13 ~3.0-r14 3.1_p17 3.2_p17 ~3.2_p17-r1 [M]~3.2_p25 {afs bashlogger build minimal nls plugins unicode vanilla}
     Installed versions:  3.2_p17-r1(00:41:09 08/08/07)(-afs -bashlogger nls plugins -vanilla)
                          3.2_p25(04:43:29 08/25/07)(-afs -bashlogger nls plugins -vanilla)
     Homepage:            http://cnswww.cns.cwru.edu/~chet/bash/bashtop.html
     Description:         The standard GNU Bourne again shell
.....

no version of bash has ever been masked/unmasked manually in my /etc/paludis/package* files.

comment:3 in reply to: ↑ 2 Changed 10 years ago by zlin

Replying to dkirov:

$ eix bash .....

Installed versions: 3.2_p17-r1

3.2_p25

.....

You need to fix that. 3.2_p25 has been masked in the tree for this reason. This patch will enable you to use paludis to downgrade bash:

--- /usr/libexec/paludis/builtin_saveenv.bash.orig      2007-08-26 08:39:59.000000000 +0200
+++ /usr/libexec/paludis/builtin_saveenv.bash   2007-08-26 13:27:05.000000000 +0200
@@ -21,6 +21,8 @@
     [[ -d "${PALUDIS_LOADSAVEENV_DIR}" ]] || die "\$PALUDIS_LOADSAVEENV_DIR (\"${PALUDIS_LOADSAVEENV_DIR}\") not a directory"
     [[ -f "${PALUDIS_LOADSAVEENV_DIR}/loadsaveenv" ]] && rm -f "${PALUDIS_LOADSAVEENV_DIR}/loadsaveenv"
     ( set ; export -p ) | sed \
+        -e '/^BASH_\(ARGC\|ARGV\|LINENO\|SOURCE\)=/d' \
+        -e '/^\(FUNCNAME\|GROUPS\)=/d' \
         -e '/^\(declare -[rx]\+ \)\?SANDBOX_/d' \
         -e '/^\(declare -[rx]\+ \)\?.\?[UP]ID/d' \
         -e '/^\(declare -[rx]\+ \)\?BASH_REMATCH/d' \

Alternatively you can use portage or do it manually.

comment:4 Changed 10 years ago by dkirov

thanks, you saved my life.

comment:5 Changed 10 years ago by ciaranm

  • Status changed from new to closed
  • Resolution set to wontfix

It's a problem with that one particular bash version. I don't think we should work around it until upstream decide what to do about it.

Note: See TracTickets for help on using tickets.